# Uses of Class
javax.management.MBeanAttributeInfo

Packages that use MBeanAttributeInfo
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.modelmbean
Provides the definition of the ModelMBean classes.
javax.management.openmbean
Provides the open data types and Open MBean descriptor classes.

## Uses of MBeanAttributeInfo in javax.management

Methods in javax.management that return MBeanAttributeInfo
Modifier and Type
Method
Description
`MBeanAttributeInfo[]`
MBeanInfo.`getAttributes()`
Returns the list of attributes exposed for management.
Methods in javax.management with parameters of type MBeanAttributeInfo
Modifier and Type
Method
Description
`protected String`
StandardMBean.`getDescription(MBeanAttributeInfo info)`
Customization hook: Get the description that will be used in the MBeanAttributeInfo returned by this MBean.
Constructors in javax.management with parameters of type MBeanAttributeInfo
Modifier
Constructor
Description
``
`MBeanInfo(String className, String description, MBeanAttributeInfo[] attributes, MBeanConstructorInfo[] constructors, MBeanOperationInfo[] operations, MBeanNotificationInfo[] notifications)`
Constructs an `MBeanInfo`.
``
`MBeanInfo(String className, String description, MBeanAttributeInfo[] attributes, MBeanConstructorInfo[] constructors, MBeanOperationInfo[] operations, MBeanNotificationInfo[] notifications, Descriptor descriptor)`
Constructs an `MBeanInfo`.

## Uses of MBeanAttributeInfo in javax.management.modelmbean

Subclasses of MBeanAttributeInfo in javax.management.modelmbean
Modifier and Type
Class
Description
`class`
`ModelMBeanAttributeInfo`
The ModelMBeanAttributeInfo object describes an attribute of the ModelMBean.
Methods in javax.management.modelmbean that return MBeanAttributeInfo
Modifier and Type
Method
Description
`MBeanAttributeInfo[]`
ModelMBeanInfo.`getAttributes()`
Returns the list of attributes exposed for management.

## Uses of MBeanAttributeInfo in javax.management.openmbean

Subclasses of MBeanAttributeInfo in javax.management.openmbean
Modifier and Type
Class
Description
`class`
`OpenMBeanAttributeInfoSupport`
Describes an attribute of an open MBean.
Methods in javax.management.openmbean that return MBeanAttributeInfo
Modifier and Type
Method
Description
`MBeanAttributeInfo[]`
OpenMBeanInfo.`getAttributes()`
Returns an array of `OpenMBeanAttributeInfo` instances describing each attribute in the open MBean described by this `OpenMBeanInfo` instance.